#ifndef __AX_TEST_UTILS_H__
#define __AX_TEST_UTILS_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include "eznn_api.h"
#ifdef __EOS__
#include <rtthread.h>
#include <debug.h>
#endif


int drawrectback(char *y, int w, ezax_rt_t *pRect);
int drawrectback_c(char *y, int w, ezax_rt_t *pRect, int color);
int draw_rect_with_color(char *y, int w, int h, ezax_rt_t *pRect, int color);
void *ax_malloc_uncache(unsigned int *phy_addr, int size);
int ax_free_uncache(unsigned int phy_addr, void *viraddr);
void *ax_realloc_virt(void *prt, int size);
void *ax_malloc_virt(int size);
int ax_free_virt(void *prt);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif